# Source code for azure.mgmt.web.models.virtual_network_profile

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class VirtualNetworkProfile(Model):
        """Specification for using a virtual network.

        :param id: Resource id of the virtual network
        :type id: str
        :param name: Name of the virtual network (read-only)
        :type name: str
        :param type: Resource type of the virtual network (read-only)
        :type type: str
        :param subnet: Subnet within the virtual network
        :type subnet: str
        """

        _attribute_map = {
            'id': {'key': 'id', 'type': 'str'},
            'name': {'key': 'name', 'type': 'str'},
            'type': {'key': 'type', 'type': 'str'},
            'subnet': {'key': 'subnet', 'type': 'str'},
        }

        def __init__(self, id=None, name=None, type=None, subnet=None):
            self.id = id
            self.name = name
            self.type = type
            self.subnet = subnet